import { defineStore } from 'pinia'

export const useBasicSettingStore = defineStore('basicSetting', {
  state: () => ({ item_bottom: null, allowance_bottom: null, allowance_invoice: null, allowance_insuranc:null,buy_contract:null}),
  actions: {
    setItemBottom(data) {
      this.item_bottom = data
    },
    setAllowanceBottom(data) {
      this.allowance_bottom = data
    },
    setAllowanceInvoice(data) {
      this.allowance_invoice = data
    },
    setAllowanceInsuranc(data) {
      this.allowance_insuranc = data
    },
    setBuyContract(data) {
      this.buy_contract = data
    }
  }
})